--- ./clients/tools/common.c.orig	2013-08-16 18:12:59.000000000 +0000
+++ ./clients/tools/common.c	2013-10-10 00:13:22.602260757 +0000
@@ -63,6 +63,7 @@
 char		*infile = NULL;
 int		dont = 0;
 int		nocanon = 0;
+int		ad_compat = 0;
 int		referrals = 0;
 int		verbose = 0;
 int		ldif = 0;
@@ -335,6 +336,7 @@
 N_("             abandon, cancel, ignore (SIGINT sends abandon/cancel,\n"
    "             or ignores response; if critical, doesn't wait for SIGINT.\n"
    "             not really controls)\n")
+N_("  -A         Enable Active Directory authentication compatibility\n"),
 N_("  -h host    LDAP server\n"),
 N_("  -H URI     LDAP Uniform Resource Identifier(s)\n"),
 N_("  -I         use SASL Interactive mode\n"),
@@ -409,6 +411,9 @@
 		int crit, ival;
 		char *control, *cvalue, *next;
 		switch( i ) {
+		case 'A':
+			ad_compat++;
+			break;
 		case 'c':	/* continuous operation mode */
 			contoper++;
 			break;
@@ -1348,6 +1353,15 @@
 				tool_exit( ld, EXIT_FAILURE );
 			}
 		}
+		/* ad_compat */
+		if( ad_compat ) {
+			if( ldap_set_option( ld, LDAP_OPT_X_SASL_AD_COMPAT,
+				LDAP_OPT_ON ) != LDAP_OPT_SUCCESS )
+			{
+				fprintf( stderr, "Could not set LDAP_OPT_X_SASL_AD_COMPAT on\n" );
+				tool_exit( ld, EXIT_FAILURE );
+			}
+		}
 #endif
 		if( ldap_set_option( ld, LDAP_OPT_PROTOCOL_VERSION, &protocol )
 			!= LDAP_OPT_SUCCESS )
