--- lib/krb5/krb/pac.c.orig	2012-06-20 16:15:11.000000000 -0600
+++ lib/krb5/krb/pac.c	2012-08-24 17:26:13.000000000 -0600
@@ -520,6 +520,7 @@
     krb5_data checksum_data;
     krb5_boolean valid;
     krb5_octet *p;
+    krb5_keyblock key = *server;
 
     ret = k5_pac_locate_buffer(context, pac,
                                PAC_SERVER_CHECKSUM, &checksum_data);
@@ -558,7 +559,9 @@
         return ret;
     }
 
-    ret = krb5_c_verify_checksum(context, server,
+    if (checksum.checksum_type == CKSUMTYPE_HMAC_MD5_ARCFOUR)
+        key.enctype = ENCTYPE_ARCFOUR_HMAC;
+    ret = krb5_c_verify_checksum(context, &key,
                                  KRB5_KEYUSAGE_APP_DATA_CKSUM,
                                  &pac_data, &checksum, &valid);
 
@@ -584,6 +587,7 @@
     krb5_checksum checksum;
     krb5_boolean valid;
     krb5_octet *p;
+    krb5_keyblock key = *privsvr;
 
     ret = k5_pac_locate_buffer(context, pac,
                                PAC_PRIVSVR_CHECKSUM, &privsvr_checksum);
@@ -611,7 +615,10 @@
     server_checksum.data += PAC_SIGNATURE_DATA_LENGTH;
     server_checksum.length -= PAC_SIGNATURE_DATA_LENGTH;
 
-    ret = krb5_c_verify_checksum(context, privsvr,
+    if (checksum.checksum_type == CKSUMTYPE_HMAC_MD5_ARCFOUR)
+        key.enctype = ENCTYPE_ARCFOUR_HMAC;
+
+    ret = krb5_c_verify_checksum(context, &key,
                                  KRB5_KEYUSAGE_APP_DATA_CKSUM,
                                  &server_checksum, &checksum, &valid);
     if (ret != 0)
