--- lib/gssapi/mechglue/g_accept_sec_context.c.orig	2013-10-30 21:24:36.823493734 +0000
+++ lib/gssapi/mechglue/g_accept_sec_context.c	2013-10-30 21:29:47.416493771 +0000
@@ -125,6 +125,7 @@
     gss_OID		selected_mech = GSS_C_NO_OID;
     gss_OID		public_mech;
     gss_mechanism	mech = NULL;
+    gss_mechanism	wrapped_mech = NULL;
     gss_union_cred_t	uc;
     int			i;
 
@@ -248,7 +249,13 @@
 
 	    /* if the call failed, return with failure */
 	    if (status != GSS_S_COMPLETE) {
-		map_error(minor_status, mech);
+		wrapped_mech = gssint_get_mechanism(actual_mech);
+		if (wrapped_mech != NULL) {
+		    map_error(minor_status, wrapped_mech);
+		    if (mech_type != NULL)
+			*mech_type = gssint_get_public_oid(actual_mech);
+		} else
+		    map_error(minor_status, mech);
 		goto error_out;
 	    }
 
